osl::move_action::Store Struct Reference

指手を MoveVector に保管 More...

`#include <move_action.h>`

## Public Member Functions

template<size_t Capacity>
| Store (FixedCapacityVector< Move, Capacity > &v)
void | simpleMove (Square, Square, Ptype, bool, Player, Move move)
| コマをとらないMove
void | unknownMove (Square, Square, Piece, Ptype, bool, Player, Move move)
void | dropMove (Square, Ptype, Player, Move move)
| コマを打つMove
void | simpleMove (Square from, Square to, Ptype ptype, bool isPromote, Player p)
void | unknownMove (Square from, Square to, Piece captured, Ptype ptype, bool isPromote, Player p)
void | dropMove (Square to, Ptype ptype, Player p)

## Public Attributes

FixedCapacityVectorPushBack< Move > | moves

## Detailed Description

指手を MoveVector に保管

Definition at line 15 of file move_action.h.

## Constructor & Destructor Documentation

## Store()

template<size_t Capacity>

osl::move_action::Store::Store | ( | FixedCapacityVector< Move, Capacity > & | v | ) |

inline explicit

Definition at line 19 of file move_action.h.

References moves.

## Member Function Documentation

## dropMove() [1/2]

void osl::move_action::Store::dropMove | ( | Square | to,
|  | Ptype | ptype,
|  | Player | p )

inline

Definition at line 61 of file move_action.h.

References dropMove().

## dropMove() [2/2]

void osl::move_action::Store::dropMove | ( | Square | ,
|  | Ptype | ,
|  | Player | ,
|  | Move | move )

inline

コマを打つMove

Definition at line 43 of file move_action.h.

References osl::Move::isValid(), and moves.

Referenced by dropMove().

## simpleMove() [1/2]

void osl::move_action::Store::simpleMove | ( | Square | from,
|  | Square | to,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p )

inline

Definition at line 49 of file move_action.h.

References osl::PTYPE_EMPTY, and simpleMove().

## simpleMove() [2/2]

void osl::move_action::Store::simpleMove | ( | Square | ,
|  | Square | ,
|  | Ptype | ,
|  | bool | ,
|  | Player | ,
|  | Move | move )

inline

コマをとらないMove

Definition at line 24 of file move_action.h.

References osl::Move::isValid(), and moves.

Referenced by simpleMove().

## unknownMove() [1/2]

void osl::move_action::Store::unknownMove | ( | Square | from,
|  | Square | to,
|  | Piece | captured,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p )

inline

Definition at line 55 of file move_action.h.

References osl::captured(), and unknownMove().

## unknownMove() [2/2]

void osl::move_action::Store::unknownMove | ( | Square | ,
|  | Square | ,
|  | Piece | ,
|  | Ptype | ,
|  | bool | ,
|  | Player | ,
|  | Move | move )

inline

       コマを取るかもしれないMove

Parameters

  from | - 駒の移動元
  to | - 駒の移動先
  p1 | - 移動先のマスの駒
  ptype | - 移動後の駒のptype
  isPromote | - 成りか?
  p | - プレイヤー

Definition at line 37 of file move_action.h.

References osl::Move::isValid(), and moves.

Referenced by unknownMove().

## Member Data Documentation

## moves

FixedCapacityVectorPushBack<Move> osl::move_action::Store::moves

Definition at line 17 of file move_action.h.

Referenced by dropMove(), simpleMove(), Store(), and unknownMove().

The documentation for this struct was generated from the following file:

- move_action.h